.HistoryListWrapper{

    .TableWrapper {
        background-color: white;
        border: 1px solid #f0f0f0;
        border-radius: 2px;
        background-color: rgba($color: #29af57, $alpha: 0.01);

        .Header {
            position: relative;
            border-bottom: 1px solid #f0f0f0;
            background-color: white;
            z-index: 1;
            display: flex;
            padding: 24px;
            overflow-x: scroll;

            .Token {
                display: flex;
                align-items: center;
                padding: 0.4em 0.8em;
                font-size: 1.1em;
                background: #f2f4f5;
                border: 1px solid #f0f0f0;
                border-radius: 3px;
                text-align: center;
                margin-right: 20px;
                text-transform: uppercase;
                line-height: 14px;
                cursor: pointer;
            }
        }

        .HistoryList{
            position: relative;
            padding: 32px;
            height: 600px;
            overflow: scroll;
    
            .Line {
                height: 700px;
                margin-top: -36px;
                margin-bottom: -660px;
                width: 100px;
                position: sticky;
                border-right: 3px solid #f0f0f0;
                top: -46px;
                z-index: 0;
            }

            .TransactionWrapper{
                width: max-content;

                .Date{
                    margin-left: 128px;
                    margin-bottom: 30px;
                    font-size: 32px;
                    color: #29af57;
                }

                .Transaction{
                    position: relative;
                    display: flex;
                    align-items: flex-start;
                    margin-bottom: 34px;
                    width: fit-content;
                    z-index: 1;
        
                    .Time {
                        text-align: right;
                        padding-right: 32px;
                        width: 98px;
                        margin-top: 2px;
                        font-weight: 500;
                        margin-bottom: 4px;
                        color: #000000b3;
                        font-size: 14px;
                        line-height: 22px;
                    }
        
                    .Mark {
                        position: relative;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        margin-top: 12px;
        
                        .Circle1 {
                            position: absolute;
                            width: 32px;
                            height: 32px;
                            background-color: white;
                            border-radius: 100px;
                        }
        
                        .Circle2 {
                            position: absolute;
                            width: 16px;
                            height: 16px;
                            border: 4px solid #096dd9;
                            background-color: white;
                            border-radius: 100px;
                        }
                    }

                    .InfoWrapper::before {
                        content: "▲";
                        color: white;
                        font-size: 18px;
                        text-align: center;
                        width: 0; 
                        height: 0; 
                        position: absolute;
                        transform: rotate(-90deg);
                        top: 28px;
                        left: -20px;
                        text-shadow: 0 0px 1px rgba(0,0,0,0.25);
                    }

                    .InfoWrapper::after {
                        content: "";
                        background-color: white;
                        width: 10px;
                        height: 38px;
                        position: absolute;
                        top: 0px;
                        left: 0px;
                    }
    
                    .InfoWrapper{
                        position: relative;
                        padding:  12px 12px 0px 12px;
                        background-color: white;
                        border: 1px solid #f0f0f0;
                        border-radius: 2px;
                        box-shadow: 0px 0px 8px 1px rgb(0 0 0 / 5%);
                        margin-left: 30px;
                        margin-top: -8px;
    
                        .TitleWrapper {
                            display: flex;
                            align-items: flex-start;
                            margin-bottom: 24px;

                            .Title{
                                font-size: 18px;
                                font-weight: 500;
                                color: #000000b3;
                                line-height: 25px;
                            }

                            .GasWrapper {
                                flex: 1;
                                
                                .Title{
                                    text-transform: uppercase;
                                    font-weight: 500;
                                    color: #000000b3;
                                    font-size: 0.7em;
                                    text-align: end;
                                }
                        
                                .Value{
                                    clear: both;
                                    color: #29af57;
                                    font-weight: 500;
                                    font-size: 1.2em;
                                    line-height: 12px;
                                    text-align: end;
                                }
                            }
                        }
                        
    
                        .Logs {
                            .LogWrapper{
                                display: flex;
                                align-items: center;
                                margin: 12px 0px;
    
                                .LogName {
                                    color: #fff;
                                    border-color: #29af57;
                                    background: #29af57;
                                    text-shadow: 0 -1px 0 rgb(0 0 0 / 12%);
                                    box-shadow: 0 2px #0000000b;
                                    line-height: 1.5715;
                                    position: relative;
                                    display: inline-block;
                                    font-weight: 400;
                                    white-space: nowrap;
                                    text-align: center;
                                    background-image: none;
                                    border: 1px solid transparent;
                                    box-shadow: 0 2px #00000004;
                                    cursor: pointer;
                                    transition: all .3s cubic-bezier(.645,.045,.355,1);
                                    padding: 4px 15px;
                                    font-size: 14px;
                                    border-radius: 2px;
                                    margin-right: 24px;
                                    width: 100px;
                                }
    
                                .Inputs{
                                    display: flex;
                                    align-items: center;
    
                                    .InputWrapper{
                                        display: flex;
                                        align-items: center;
    
                                        .InputName{
                                            color: #000000d9;
                                            background: #fff;
                                            font-weight: 500;
                                            font-size: 14px;
                                            width: 60px;
                                            text-align: end;
                                            margin-right: 20px;
                                        }
    
                                        .InputValue {
                                            width: 120px;
                                            overflow: hidden;
                                            text-overflow: ellipsis;
                                            margin: 0 1px;
                                            padding: 4px 15px;
                                            background: #f2f4f5;
                                            border: 1px solid #f0f0f0;
                                            border-radius: 3px;
                                            text-align: center;
                                            margin-right: 20px;
                                            text-transform: uppercase;
                                            font-size: 14px;
                                            font-weight: 500;
                                            color: #000000b3;
                                            cursor: pointer;
                                        }
                                    }
                                }
                            }
                        }

                        .TotalValuesWrapper {
                            display: flex;
                            border-top: 1px solid #f0f0f0;
                            padding: 12px 0px;

                            .TokenWrapper {
                                display: flex;
                                flex-direction: column;
                                justify-content: flex-end;
                                border: 1px solid #f0f0f0;
                                border-radius: 2px;
                                padding: 12px;
                                margin-right: 12px;

                                .Name{
                                    text-transform: uppercase;
                                    font-weight: 500;
                                    margin-bottom: 8px;
                                    color: #000000b3;
                                    font-size: 0.7em;
                                    text-align: end;
                                }
                        
                                .Quantity{
                                    clear: both;
                                    color: #29af57;
                                    font-weight: 500;
                                    font-size: 1.2em;
                                    line-height: 12px;
                                    text-align: end;
                                }
                            }
                        }
                    }
                }
            }          
        }

        .Footer {
            display: flex;
            justify-content: flex-end;
            padding: 24px;
            background-color: white;
            border-top: 1px solid #f0f0f0;
        }
    }    
}